Create a property
curl --request POST \
--url https://app.lettr.com/api/audience/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "first_name",
"type": "string",
"fallback_value": "Friend"
}
'import requests
url = "https://app.lettr.com/api/audience/properties"
payload = {
"name": "first_name",
"type": "string",
"fallback_value": "Friend"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'first_name', type: 'string', fallback_value: 'Friend'})
};
fetch('https://app.lettr.com/api/audience/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.lettr.com/api/audience/properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'first_name',
'type' => 'string',
'fallback_value' => 'Friend'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.lettr.com/api/audience/properties"
payload := strings.NewReader("{\n \"name\": \"first_name\",\n \"type\": \"string\",\n \"fallback_value\": \"Friend\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.lettr.com/api/audience/properties")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"first_name\",\n \"type\": \"string\",\n \"fallback_value\": \"Friend\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.lettr.com/api/audience/properties")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"first_name\",\n \"type\": \"string\",\n \"fallback_value\": \"Friend\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Property retrieved successfully.",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "first_name",
"type": "string",
"fallback_value": "Friend",
"created_at": "2023-11-07T05:31:56Z",
"purpose": "communication_language"
}
}Audience Properties
Create a property
Create a new property that contacts can store. The name and type fields are immutable after creation — to change them, delete the property and create a new one. Requires the audience:write scope and is blocked for sandbox API keys.
POST
/
audience
/
properties
Create a property
curl --request POST \
--url https://app.lettr.com/api/audience/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "first_name",
"type": "string",
"fallback_value": "Friend"
}
'import requests
url = "https://app.lettr.com/api/audience/properties"
payload = {
"name": "first_name",
"type": "string",
"fallback_value": "Friend"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'first_name', type: 'string', fallback_value: 'Friend'})
};
fetch('https://app.lettr.com/api/audience/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.lettr.com/api/audience/properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'first_name',
'type' => 'string',
'fallback_value' => 'Friend'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.lettr.com/api/audience/properties"
payload := strings.NewReader("{\n \"name\": \"first_name\",\n \"type\": \"string\",\n \"fallback_value\": \"Friend\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.lettr.com/api/audience/properties")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"first_name\",\n \"type\": \"string\",\n \"fallback_value\": \"Friend\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.lettr.com/api/audience/properties")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"first_name\",\n \"type\": \"string\",\n \"fallback_value\": \"Friend\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Property retrieved successfully.",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "first_name",
"type": "string",
"fallback_value": "Friend",
"created_at": "2023-11-07T05:31:56Z",
"purpose": "communication_language"
}
}Create a new property that contacts can store. The
name and type fields are immutable after creation — to change them, delete the property and create a new one. Requires the audience:write scope and is blocked for sandbox API keys.Authorizations
API key for authentication
Body
application/json
Property name. Must start with a lowercase letter and contain only lowercase letters, numbers, and underscores.
Maximum string length:
255Pattern:
^[a-z][a-z0-9_]*$Example:
"first_name"
Data type of the property
Available options:
string, number, boolean, date, json Example:
"string"
Maximum string length:
255Example:
"Friend"
Designate this property as the team's communication language. Assigning it takes the role away from whichever property held it before.
Available options:
communication_language, null Was this page helpful?